- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKChainedTokenizer Class Reference

`#include <IWORKChainedTokenizer.h>`

Inheritance diagram for libetonyek::IWORKChainedTokenizer:

## Public Member Functions
| IWORKChainedTokenizer (const IWORKTokenizer &tokenizer, const IWORKTokenizer &next)
virtual int | getId (const char *name) const
virtual int | getQualifiedId (const char *name, const char *ns) const
Public Member Functions inherited from libetonyek::IWORKTokenizer
virtual | ~IWORKTokenizer ()=0

## Private Attributes
const IWORKTokenizer & | m_tokenizer
const IWORKTokenizer & | m_next

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKTokenizer
| IWORKTokenizer ()

## Constructor & Destructor Documentation

libetonyek::IWORKChainedTokenizer::IWORKChainedTokenizer | ( | const IWORKTokenizer & | tokenizer,
|  | const IWORKTokenizer & | next
| ) |  |

## Member Function Documentation

int libetonyek::IWORKChainedTokenizer::getId | ( | const char * | name | ) | const
| virtual

Implements libetonyek::IWORKTokenizer.

int libetonyek::IWORKChainedTokenizer::getQualifiedId | ( | const char * | name,
|  | const char * | ns
| ) |  | const
| virtual

Implements libetonyek::IWORKTokenizer.

## Member Data Documentation

const IWORKTokenizer& libetonyek::IWORKChainedTokenizer::m_next
| private

Referenced by getId(), and getQualifiedId().

const IWORKTokenizer& libetonyek::IWORKChainedTokenizer::m_tokenizer
| private

Referenced by getId(), and getQualifiedId().

The documentation for this class was generated from the following files:

- IWORKChainedTokenizer.h
- IWORKChainedTokenizer.cpp